curl --request GET \
--url https://api.aisa.one/apis/v1/fred/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/releases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/releases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/releases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/releases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<releases realtime_start="2013-08-13" realtime_end="2013-08-13" order_by="release_id" sort_order="asc" count="158" offset="0" limit="1000">
<release id="9" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Advance Monthly Sales for Retail and Food Services" press_release="true" link="http://www.census.gov/retail/"/>
<release id="10" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Consumer Price Index" press_release="true" link="http://www.bls.gov/cpi/"/>
<release id="11" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Employment Cost Index" press_release="true" link="http://www.bls.gov/ncs/ect/"/>
<release id="13" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.17 Industrial Production and Capacity Utilization" press_release="true" link="http://www.federalreserve.gov/releases/g17/"/>
<release id="14" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.19 Consumer Credit" press_release="true" link="http://www.federalreserve.gov/releases/g19/"/>
<release id="15" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.5 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5/"/>
<release id="17" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.10 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/h10/"/>
<release id="18" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.15 Selected Interest Rates" press_release="true" link="http://www.federalreserve.gov/releases/h15/"/>
<release id="19" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.3 Aggregate Reserves of Depository Institutions and the Monetary Base" press_release="true" link="http://www.federalreserve.gov/releases/h3/"/>
<release id="20" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.4.1 Factors Affecting Reserve Balances" press_release="true" link="http://www.federalreserve.gov/releases/h41/"/>
<release id="21" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.6 Money Stock Measures" press_release="true" link="http://www.federalreserve.gov/releases/h6/"/>
<release id="22" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.8 Assets and Liabilities of Commercial Banks in the United States" press_release="true" link="http://www.federalreserve.gov/releases/h8/"/>
<release id="25" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Manufacturing and Trade Inventories and Sales" press_release="true" link="http://www.census.gov/mtis/www/mtis.html"/>
<release id="26" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Manufacturing ISM Report on Business" press_release="true" link="http://www.ism.ws/ISMReport/"/>
<release id="27" realtime_start="2013-08-13" realtime_end="2013-08-13" name="New Residential Construction" press_release="true" link="http://www.census.gov/construction/nrc/"/>
<release id="46" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Producer Price Index" press_release="true" link="http://www.bls.gov/ppi/"/>
<release id="47" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Productivity and Costs" press_release="true" link="http://www.bls.gov/lpc/"/>
<release id="49" realtime_start="2013-08-13" realtime_end="2013-08-13" name="U.S. International Transactions" press_release="true" link="http://www.bea.gov/newsreleases/international/transactions/transnewsrelease.htm"/>
<release id="50" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Employment Situation" press_release="true" link="http://www.bls.gov/ces/"/>
<release id="51" realtime_start="2013-08-13" realtime_end="2013-08-13" name="U.S. International Trade in Goods and Services" press_release="true" link="http://www.bea.gov/newsreleases/international/trade/tradnewsrelease.htm"/>
...
</releases>Get Releases
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/releases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/releases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/releases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/releases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<releases realtime_start="2013-08-13" realtime_end="2013-08-13" order_by="release_id" sort_order="asc" count="158" offset="0" limit="1000">
<release id="9" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Advance Monthly Sales for Retail and Food Services" press_release="true" link="http://www.census.gov/retail/"/>
<release id="10" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Consumer Price Index" press_release="true" link="http://www.bls.gov/cpi/"/>
<release id="11" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Employment Cost Index" press_release="true" link="http://www.bls.gov/ncs/ect/"/>
<release id="13" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.17 Industrial Production and Capacity Utilization" press_release="true" link="http://www.federalreserve.gov/releases/g17/"/>
<release id="14" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.19 Consumer Credit" press_release="true" link="http://www.federalreserve.gov/releases/g19/"/>
<release id="15" realtime_start="2013-08-13" realtime_end="2013-08-13" name="G.5 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/g5/"/>
<release id="17" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.10 Foreign Exchange Rates" press_release="true" link="http://www.federalreserve.gov/releases/h10/"/>
<release id="18" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.15 Selected Interest Rates" press_release="true" link="http://www.federalreserve.gov/releases/h15/"/>
<release id="19" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.3 Aggregate Reserves of Depository Institutions and the Monetary Base" press_release="true" link="http://www.federalreserve.gov/releases/h3/"/>
<release id="20" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.4.1 Factors Affecting Reserve Balances" press_release="true" link="http://www.federalreserve.gov/releases/h41/"/>
<release id="21" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.6 Money Stock Measures" press_release="true" link="http://www.federalreserve.gov/releases/h6/"/>
<release id="22" realtime_start="2013-08-13" realtime_end="2013-08-13" name="H.8 Assets and Liabilities of Commercial Banks in the United States" press_release="true" link="http://www.federalreserve.gov/releases/h8/"/>
<release id="25" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Manufacturing and Trade Inventories and Sales" press_release="true" link="http://www.census.gov/mtis/www/mtis.html"/>
<release id="26" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Manufacturing ISM Report on Business" press_release="true" link="http://www.ism.ws/ISMReport/"/>
<release id="27" realtime_start="2013-08-13" realtime_end="2013-08-13" name="New Residential Construction" press_release="true" link="http://www.census.gov/construction/nrc/"/>
<release id="46" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Producer Price Index" press_release="true" link="http://www.bls.gov/ppi/"/>
<release id="47" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Productivity and Costs" press_release="true" link="http://www.bls.gov/lpc/"/>
<release id="49" realtime_start="2013-08-13" realtime_end="2013-08-13" name="U.S. International Transactions" press_release="true" link="http://www.bea.gov/newsreleases/international/transactions/transnewsrelease.htm"/>
<release id="50" realtime_start="2013-08-13" realtime_end="2013-08-13" name="Employment Situation" press_release="true" link="http://www.bls.gov/ces/"/>
<release id="51" realtime_start="2013-08-13" realtime_end="2013-08-13" name="U.S. International Trade in Goods and Services" press_release="true" link="http://www.bea.gov/newsreleases/international/trade/tradnewsrelease.htm"/>
...
</releases>Request contract
- Method and path: GET /apis/v1/fred/releases
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/fred/releases
- file_type: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_fred_releases",
"method": "GET",
"path": "/apis/v1/fred/releases",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 1000,
"default": 1000
},
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"name": "offset",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0,
"default": 0
},
"description": "non-negative integer, optional, default: 0",
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"name": "order_by",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"release_id",
"name",
"press_release",
"realtime_start",
"realtime_end"
],
"default": "release_id"
},
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'.\noptional, default: release_id",
"x-aisa-reference-declarations": [
"One of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'.",
"optional, default: release_id"
]
},
{
"name": "realtime_end",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "realtime_start",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "date"
},
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"name": "sort_order",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"asc",
"desc"
],
"default": "asc"
},
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
xml, json The maximum number of results to return. integer between 1 and 1000, optional, default: 1000
1 <= x <= 1000non-negative integer, optional, default: 0
x >= 0Order results by values of the specified attribute. One of the following strings: 'release_id', 'name', 'press_release', 'realtime_start', 'realtime_end'. optional, default: release_id
release_id, name, press_release, realtime_start, realtime_end The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date
Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc
asc, desc Response
Official representation and examples only; no complete response schema is declared.